Bug 148438 - new port: archivers/squeeze
new port: archivers/squeeze
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Baptiste Daroussin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 23:10 UTC by David Demelier
Modified: 2010-08-13 08:35 UTC (History)
0 users

See Also:


Attachments
file.diff (3.73 KB, patch)
2010-07-07 23:10 UTC, David Demelier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Demelier 2010-07-07 23:10:01 UTC
Xarchiver has been for a long time the default Xfce graphical archiver. But nowadays we should use squeeze instead. I made this port but without options because the ./configure does not handle nls option (I know this is awful)

Squeeze is a modern and advanced archive manager for the Xfce Desktop Environment.
Its design adheres to the Xfce philosophy, which basically means Squeeze is designed to be both fast and easy to use.
Comment 1 Edwin Groothuis freebsd_committer 2010-07-07 23:10:15 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2010-07-28 18:37:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 3 David Demelier 2010-08-04 08:57:38 UTC
Hi,

bapt@ wanted a .shar and I did it, I also added a missing library.

-- patch begins here --
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	squeeze
#	squeeze/Makefile
#	squeeze/distinfo
#	squeeze/pkg-descr
#	squeeze/pkg-plist
#
echo c - squeeze
mkdir -p squeeze > /dev/null 2>&1
echo x - squeeze/Makefile
sed 's/^X//' >squeeze/Makefile << '73162dde930f16e4eaf9365036cb9fe2'
X# New ports collection makefile for: squeeze
X# Date created: 07 Jun 2010
X# Whom: markand
X#
X# $FreeBSD$
X#
X
XPORTNAME=	squeeze
XPORTVERSION=	0.2.3
XCATEGORIES=	x11-wm archivers
XMASTER_SITES=	${MASTER_SITE_XFCE}
XMASTER_SITE_SUBDIR= src/apps/${PORTNAME}/${PORTVERSION:R}
XDIST_SUBDIR=	xfce4
X
XMAINTAINER=	markand@malikania.fr
XCOMMENT=	Squeeze is a modern and advanced archive manager
X
XGNU_CONFIGURE=	yes
XINSTALLS_ICONS=	yes
X
XUSE_XFCE=	configenv panel thunar
XUSE_XORG=	x11
XUSE_GNOME=	gnomehack gnometarget gtk20 glib20 intltool intlhack pkgconfig
XUSE_BZIP2=	yes
XUSE_GMAKE=	yes
XUSE_LDCONFIG=	yes
XUSE_GETTEXT=	yes
X
Xpost-install:
X	@-update-desktop-database
X
X.include <bsd.port.mk>
73162dde930f16e4eaf9365036cb9fe2
echo x - squeeze/distinfo
sed 's/^X//' >squeeze/distinfo << '45040debf8005139137b1599c6b4ad64'
XMD5 (xfce4/squeeze-0.2.3.tar.bz2) = bd3cb0648b49be1f146fc4f675606176
XSHA256 (xfce4/squeeze-0.2.3.tar.bz2) =
7b8dc13e0adf72c67bba12e1ed1285ec820946e65d0eec247f7bd159a2cfac2d
XSIZE (xfce4/squeeze-0.2.3.tar.bz2) = 418023
45040debf8005139137b1599c6b4ad64
echo x - squeeze/pkg-descr
sed 's/^X//' >squeeze/pkg-descr << 'dcc37d8df00d7c79fe53f557076b19e5'
XSqueeze is a modern and advanced archive manager for the Xfce Desktop
XEnvironment. Its design adheres to the Xfce philosophy, which basically
Xmeans Squeeze is designed to be both fast and easy to use.
X
XWWW: http://squeeze.xfce.org/
dcc37d8df00d7c79fe53f557076b19e5
echo x - squeeze/pkg-plist
sed 's/^X//' >squeeze/pkg-plist << '0f39812ce9684fb6799ccf6da65c695e'
Xbin/squeeze
Xinclude/libsqueeze-0.2/libsqueeze/libsqueeze-archive.h
Xinclude/libsqueeze-0.2/libsqueeze/libsqueeze-command.h
Xinclude/libsqueeze-0.2/libsqueeze/libsqueeze-module.h
Xinclude/libsqueeze-0.2/libsqueeze/libsqueeze-vfs-mime.h
Xinclude/libsqueeze-0.2/libsqueeze/libsqueeze-view.h
Xinclude/libsqueeze-0.2/libsqueeze/libsqueeze.h
Xlib/libsqueeze-0.2.so.0
Xlib/libsqueeze-0.2.la
Xlib/libsqueeze-0.2.a
Xlibdata/pkgconfig/libsqueeze-0.2.pc
Xlibexec/thunar-archive-plugin/squeeze.tap
Xshare/locale/ar/LC_MESSAGES/squeeze.mo
Xshare/locale/be/LC_MESSAGES/squeeze.mo
Xshare/locale/ca/LC_MESSAGES/squeeze.mo
Xshare/locale/cs/LC_MESSAGES/squeeze.mo
Xshare/locale/el/LC_MESSAGES/squeeze.mo
Xshare/locale/en_GB/LC_MESSAGES/squeeze.mo
Xshare/locale/eu/LC_MESSAGES/squeeze.mo
Xshare/locale/fi/LC_MESSAGES/squeeze.mo
Xshare/locale/fr/LC_MESSAGES/squeeze.mo
Xshare/locale/hu/LC_MESSAGES/squeeze.mo
Xshare/locale/nl/LC_MESSAGES/squeeze.mo
Xshare/locale/pa/LC_MESSAGES/squeeze.mo
Xshare/locale/pt_BR/LC_MESSAGES/squeeze.mo
Xshare/locale/ru/LC_MESSAGES/squeeze.mo
Xshare/locale/sq/LC_MESSAGES/squeeze.mo
Xshare/locale/tr/LC_MESSAGES/squeeze.mo
Xshare/locale/uk/LC_MESSAGES/squeeze.mo
Xshare/pixmaps/squeeze/archive-add.png
Xshare/pixmaps/squeeze/archive-extract.png
Xshare/gtk-doc/html/libsqueeze/LSQArchive.html
Xshare/gtk-doc/html/libsqueeze/LSQArchiveCommand.html
Xshare/gtk-doc/html/libsqueeze/archiving.html
Xshare/gtk-doc/html/libsqueeze/home.png
Xshare/gtk-doc/html/libsqueeze/index.html
Xshare/gtk-doc/html/libsqueeze/index.sgml
Xshare/gtk-doc/html/libsqueeze/ix01.html
Xshare/gtk-doc/html/libsqueeze/left.png
Xshare/gtk-doc/html/libsqueeze/libsqueeze-LSQArchiveSupport.html
Xshare/gtk-doc/html/libsqueeze/libsqueeze-libsqueeze.html
Xshare/gtk-doc/html/libsqueeze/libsqueeze.devhelp
Xshare/gtk-doc/html/libsqueeze/libsqueeze.devhelp2
Xshare/gtk-doc/html/libsqueeze/libsqueeze.html
Xshare/gtk-doc/html/libsqueeze/right.png
Xshare/gtk-doc/html/libsqueeze/style.css
Xshare/gtk-doc/html/libsqueeze/up.png
Xshare/icons/hicolor/16x16/apps/squeeze.png
Xshare/icons/hicolor/48x48/apps/squeeze.png
Xshare/icons/hicolor/scalable/apps/squeeze.svg
Xshare/applications/squeeze.desktop
0f39812ce9684fb6799ccf6da65c695e
exit

-- patch ends here --
Comment 4 dfilter freebsd_committer 2010-08-13 06:56:04 UTC
bapt        2010-08-13 05:55:54 UTC

  FreeBSD ports repository

  Modified files:
    archivers            Makefile 
  Added files:
    archivers/squeeze    Makefile distinfo pkg-descr pkg-plist 
  Log:
  Squeeze is a modern and advanced archive manager for the Xfce Desktop
  Environment. Its design adheres to the Xfce philosophy, which basically
  means Squeeze is designed to be both fast and easy to use.
  
  WWW: http://squeeze.xfce.org/
  
  PR:             ports/148438
  Submitted by:   David Demelier <markand at malikania.fr>
  Approved by:    rene@ (mentor vacation)
  
  Revision  Changes    Path
  1.240     +1 -0      ports/archivers/Makefile
  1.1       +52 -0     ports/archivers/squeeze/Makefile (new)
  1.1       +3 -0      ports/archivers/squeeze/distinfo (new)
  1.1       +5 -0      ports/archivers/squeeze/pkg-descr (new)
  1.1       +57 -0     ports/archivers/squeeze/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Baptiste Daroussin freebsd_committer 2010-08-13 08:35:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!